"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isLinkExternal = void 0;
const isLinkFtp_1 = require("./isLinkFtp");
const isLinkHttp_1 = require("./isLinkHttp");
/**
 * Determine a link is external or not
 */
const isLinkExternal = (link, base = "/") => {
    // http link or ftp link
    if ((0, isLinkHttp_1.isLinkHttp)(link) || (0, isLinkFtp_1.isLinkFtp)(link)) {
        return true;
    }
    // absolute link that does not start with `base`
    if (link.startsWith("/") && !link.startsWith(base)) {
        return true;
    }
    return false;
};
exports.isLinkExternal = isLinkExternal;
